Skip to main content
DELETE
/
v6
/
mileage
/
{mileageId}
/
route
Delete route
curl --request DELETE \
  --url https://sandbox.tight.com/v6/mileage/{mileageId}/route \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.tight.com/v6/mileage/{mileageId}/route"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.tight.com/v6/mileage/{mileageId}/route', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "mrt_12345",
    "waypoints": [
      {
        "lat": "38.8977",
        "lng": "-77.0365"
      }
    ],
    "status": "ACTIVE",
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}
{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.